/* Copyright 2006-2007 (C) Raster Software Vigo (Sergio Costas)
*
* This file is part of GtkPSproc
*
* GtkPSproc is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
*
* GtkPSproc is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <libintl.h>
#include <locale.h>
#include <gtk/gtk.h>
#include <glade/glade.h>

#define _ gettext

#include "variables.h"

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

// MAIN WINDOW

void exit_mainwindow() {

	save_config();
	finaliza(1);
	gtk_main_quit();
}

void on_cancelar_clicked (GtkButton *button, gpointer user_data) {

  exit_mainwindow();

}

gboolean on_mainwindow_delete (GtkWidget *widget, GdkEvent *event, gpointer user_data) {

	exit_mainwindow();
	return FALSE;
}

// EVENPAGESOK WINDOW

void on_evencancel_clicked (GtkButton *button, gpointer user_data) {

	finaliza(1);
}


gboolean on_oddpagesOK_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data) {

	finaliza(1);
	return TRUE;
}

// FIRSTTIME WINDOW

void firstOK_close() {

	gtk_widget_hide(first_time_window);
	config_window=glade_xml_get_widget(xml,"configuracion");
	gtk_widget_show(config_window);
	set_configuration(FALSE,FALSE,FALSE,FALSE,FALSE,FALSE,FALSE,FALSE);
}
	
void on_firstOK_clicked (GtkButton *button, gpointer user_data) {

	firstOK_close();

}

gboolean on_firstOK_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data) {

	firstOK_close();
	return TRUE;
	
}

// CONFIGURATION WINDOW

gboolean on_confcancel_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data) {

	gtk_widget_hide(config_window);
	return TRUE;

}

// NOVIEWER WINDOW

gboolean no_viewer_exit (GtkWidget *widget, GdkEvent *event, gpointer user_data) {
	gtk_widget_hide(noviewer_window);
	return TRUE;
}

// NOVIEWER2 WINDOW

gboolean no_viewer2_exit (GtkWidget *widget, GdkEvent *event, gpointer user_data) {
	gtk_widget_hide(noviewer2_window);
	return TRUE;
}
